;
; MUEDPM.TPL
;
; This is an example User Templates file for MUEd/PM Pro. Astute readers will
; notice the striking similarity to the Windows Initialization file format that
; this file follows. This was done on purpose so that you could use any text
; based editor to modify it.
;
; Each section starts with a tag enclosed with [] characters, this is the name
; of the template that comes up in MUEd/PM when you select Edit -> Apply User
; Template. Each section is then made up of Key/Key Value pairs.
;
; Key/Key Value pairs are:
;
;   PrivLevel
;
;       TWIT
;       DISGRACE
;       LIMITED
;       NORMAL
;       WORTHY
;       PRIVIL
;       FAVORED
;       EXTRA
;       CLERK
;       ASSTSYSOP
;       SYSOP
;       HIDDEN
;
;   Credit
;
;       Number of Matrix Netmail Credits to give to user when applied.
;
;   ExpiryType
;
;       NONE
;       DAYS
;       MINUTES
;
;   ExpiryTime
;
;       Depending on ExpiryType this is either the number of minutes
;       to expiration or the number of days.
;
;   ExpiryAction
;
;       NONE
;       AXE
;       DEMOTE
;
;   ExpiryPriv
;
;       If ExpiryAction is set to DEMOTE, this is the level to demote
;       to.
;
;       TWIT
;       DISGRACE
;       LIMITED
;       NORMAL
;       WORTHY
;       PRIVIL
;       FAVORED
;       EXTRA
;       CLERK
;       ASSTSYSOP
;       SYSOP
;       HIDDEN
;
;   Keys
;
;       One or more of:     12345678ABCDEFGHIJKLMNOPQRSTUVWX
;
;       These are set _IN ADDITION TO_ those keys already set.
;
; If you don't want a particular aspect set for a user, don't include that
; Key/Key Value pair in the template definition.
;
; If ExpiryType = NONE, ExpiryAction, ExpiryTime and ExpiryPriv are ignored.
; If ExpiryType = DAYS or MINUTES, ExpiryTime is REQUIRED.
; If ExpiryAction = DEMOTE, ExpiryPriv is REQUIRED.
;
; You can have as many as you want, subject to the limitations of the List Box
; control. The total memory consumed by all the tags must not exceed 65355
; bytes.
;
; Each line of the file should be no longer than 126 bytes.
;

[First Upgrade]
PrivLevel=LIMITED
Credit=65535
ExpiryType=NONE

[Subscriber]
PrivLevel=EXTRA
Credit=65535
ExpiryType=DAYS
ExpiryTime=180
ExpiryAction=DEMOTE
ExpiryPriv=NORMAL
Keys=R

[Friend]
PrivLevel=EXTRA
Credit=65535
ExpiryType=NONE
Keys=1R

